> For the complete documentation index, see [llms.txt](https://developer.ivvy.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.ivvy.com/venues/venuedata/get-revenue-template-list.md).

# Get Revenue Template List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getRevenueTemplateList`

Return the event type list for the account.

{% tabs %}
{% tab title="200 " %}

```
{
     "meta": {
        "totalResults": 2,
        "start": 0,
        "perPage": 100,
        "count": 2
    },
    "results": [
        {
            "id": 1,
            "name": "Banquet",
            "isDefault": true,
            "costcenters": [
                {
                    "costcenterId": 1,
                    "newCostcenterId": 1102
                },
                {
                    "costcenterId": 2,
                    "newCostcenterId": 1109
                },
                {
                    "costcenterId": 4,
                    "newCostcenterId": 4
                }
            ],
            "createdDate": "2021-03-03 11:22:20 UTC",
            "modifiedDate": "2021-03-15 14:19:47 UTC"
        },
        {
            "id": 2,
            "name": "Catering",
            "isDefault": false,
            "costcenters": [
                {
                    "costcenterId": 1,
                    "newCostcenterId": 1101
                },
                {
                    "costcenterId": 2,
                    "newCostcenterId": 1110
                }
            ],
            "createdDate": "2021-03-03 11:22:35 UTC",
            "modifiedDate": "2021-03-15 04:41:59 UTC"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

### Example Request

`Get Venues Revenue Template List`

```javascript
{
"venueId" : 1
"perPage": 100
"start": 0
}
```

### Returns

`A collection object with the following properties in the results`

| Property     | Description                                                              |
| ------------ | ------------------------------------------------------------------------ |
| id           | The unique id of the revenue template                                    |
| name         | The name of the revenue template                                         |
| isDefault    | Whether or not the revenue template is default on venue.                 |
| costcenters  | The cost center mapping of the revenue template. See [Mapping](#mapping) |
| createdDate  | The date & time the revenue template was created                         |
| modifiedDate | The date & time the revenue template was last modified                   |

### Mapping

| Property        | Description                                     |
| --------------- | ----------------------------------------------- |
| costcenterId    | The current cost center                         |
| newCostcenterId | The new cost center against current cost center |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-revenue-template-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
